AffineModel Class Referenceabstract
Short-rate modelling framework

Affine model class. More...

`#include <ql/models/model.hpp>`

Inheritance diagram for AffineModel:
[legend]

## Public Member Functions

virtual DiscountFactor | discount (Time t) const =0
| Implied discount curve.
virtual Real | discountBond (Time now, Time maturity, Array factors) const =0
virtual Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondMaturity) const =0
virtual Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondStart, Time bondMaturity) const
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

Affine model class.

Base class for analytically tractable models.